Bug 19581

Summary: Layout test dom/xhtml/level2/html/HTMLFrameElement09.xhtml times out and is not disabled
Product: WebKit Reporter: Jean-Charles Verdié <jcverdie>
Component: Layout and RenderingAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: darin, mitz
Priority: P3    
Version: 528+ (Nightly build)   
Hardware: Mac   
OS: OS X 10.5   
See Also: https://bugs.webkit.org/show_bug.cgi?id=167537
Bug Depends on:    
Bug Blocks: 19569    
Attachments:
Description Flags
disable hanging test
darin: review+
disable hanging test + changelog ggaren: review+

Description Jean-Charles Verdié 2008-06-16 09:29:13 PDT
should be disabled until fixed?

Hang Report :
    947 Thread_2603
      947 start
        947 main
          947 dumpRenderTree(int, char const**)
            947 runTestingServerLoop()
              947 runTest(char const*)
                947 -[NSRunLoop(NSRunLoop) runMode:beforeDate:]
                  947 CFRunLoopRunInMode
                    947 CFRunLoopRunSpecific
                      947 muxerSourcePerform
                        947 _CFURLConnectionSendCallbacks
                          947 didFailWithError
                            947 _NSURLConnectionDidFail
                              947 -[NSURLConnection(NSURLConnectionReallyInternal) sendDidFail:]
                                947 -[WebCoreResourceHandleAsDelegate connection:didFailWithError:]
                                  947 WebCore::ResourceLoader::didFail(WebCore::ResourceHandle*, WebCore::ResourceError const&)
                                    947 WebCore::MainResourceLoader::didFail(WebCore::ResourceError const&)
                                      947 WebCore::MainResourceLoader::receivedError(WebCore::ResourceError const&)
                                        947 WebCore::FrameLoader::receivedMainResourceError(WebCore::ResourceError const&, bool)
                                          947 WebCore::DocumentLoader::mainReceivedError(WebCore::ResourceError const&, bool)
                                            947 WebCore::FrameLoader::mainReceivedCompleteError(WebCore::DocumentLoader*, WebCore::ResourceError const&)
                                              947 WebCore::FrameLoader::checkCompleted()
                                                947 WebCore::FrameLoader::completed()
                                                  947 WebCore::FrameLoader::checkCompleted()
                                                    947 WebCore::FrameLoader::checkCallImplicitClose()
                                                      947 WebCore::Document::implicitClose()
                                                        947 WebCore::EventTargetNode::dispatchWindowEvent(WebCore::AtomicString const&, bool, bool)
                                                          947 WebCore::EventTargetNode::dispatchWindowEvent(WTF::PassRefPtr<WebCore::Event>)
                                                            947 WebCore::Document::handleWindowEvent(WebCore::Event*, bool)
                                                              947 WebCore::JSAbstractEventListener::handleEvent(WebCore::Event*, bool)
                                                                947 KJS::JSFunction::callAsFunction(KJS::ExecState*, KJS::JSObject*, KJS::ArgList const&)
                                                                  947 KJS::Machine::execute(KJS::FunctionBodyNode*, KJS::ExecState*, KJS::JSFunction*, KJS::JSObject*, KJS::ArgList const&, KJS::RegisterFileStack*, KJS::ScopeChainNode*, KJS::JSValue**)
                                                                    947 KJS::Machine::privateExecute(KJS::Machine::ExecutionFlag, KJS::ExecState*, KJS::RegisterFile*, KJS::Register*, KJS::ScopeChainNode*, KJS::CodeBlock*, KJS::JSValue**)
                                                                      947 KJS::PrototypeFunction::callAsFunction(KJS::ExecState*, KJS::JSObject*, KJS::ArgList const&)
                                                                        947 WebCore::jsNodePrototypeFunctionReplaceChild(KJS::ExecState*, KJS::JSObject*, KJS::ArgList const&)
                                                                          947 WebCore::JSNode::replaceChild(KJS::ExecState*, KJS::ArgList const&)
                                                                            947 WebCore::ContainerNode::replaceChild(WTF::PassRefPtr<WebCore::Node>, WebCore::Node*, int&, bool)
                                                                              947 WebCore::ContainerNode::removeChild(WebCore::Node*, int&)
                                                                                947 WebCore::willRemoveChild(WebCore::Node*)
                                                                                  947 WebCore::ContainerNode::willRemove()
                                                                                    947 WebCore::HTMLFrameOwnerElement::willRemove()
                                                                                      947 WebCore::FrameLoader::frameDetached()
                                                                                        947 WebCore::FrameLoader::stopAllLoaders()
                                                                                          947 WebCore::FrameLoader::stopLoadingSubframes()
                                                                                            947 WebCore::FrameLoader::stopAllLoaders()
                                                                                              947 WebCore::DocumentLoader::stopLoading()
                                                                                                947 WebCore::ResourceLoader::cancel()
                                                                                                  947 WebCore::ResourceLoader::cancel(WebCore::ResourceError const&)
                                                                                                    947 WebCore::MainResourceLoader::didCancel(WebCore::ResourceError const&)
                                                                                                      947 WebCore::FrameLoader::receivedMainResourceError(WebCore::ResourceError const&, bool)
                                                                                                        947 WebCore::DocumentLoader::mainReceivedError(WebCore::ResourceError const&, bool)
                                                                                                          947 WebCore::FrameLoader::mainReceivedCompleteError(WebCore::DocumentLoader*, WebCore::ResourceError const&)
                                                                                                            947 WebCore::FrameLoader::checkCompleted()
                                                                                                              947 WebCore::FrameLoader::completed()
                                                                                                                947 WebCore::FrameLoader::checkCompleted()
                                                                                                                  947 WebCore::FrameLoader::completed()
                                                                                                                    947 WebCore::FrameLoader::checkCompleted()
                                                                                                                      947 WebCore::FrameLoader::checkCallImplicitClose()
                                                                                                                        947 WebCore::Document::implicitClose()
                                                                                                                          947 WebCore::FrameView::layout(bool)
                                                                                                                            947 WebCore::FrameView::adjustViewSize()
                                                                                                                              947 WebCore::ScrollView::resizeContents(int, int)
                                                                                                                                947 -[NSControl setFrameSize:]
                                                                                                                                  947 -[NSView setFrameSize:]
                                                                                                                                    947 -[NSView _postFrameChangeNotification]
                                                                                                                                      947 -[NSClipView _reflectDocumentViewFrameChange]
                                                                                                                                        947 -[WebDynamicScrollBarsView(WebInternal) reflectScrolledClipView:]
                                                                                                                                          947 -[WebDynamicScrollBarsView(WebInternal) updateScrollers]
                                                                                                                                            947 -[WebHTMLView layout]
                                                                                                                                              947 -[WebHTMLView layoutToMinimumPageWidth:maximumPageWidth:adjustingViewSize:]
                                                                                                                                                947 WebCore::Frame::forceLayout(bool)
                                                                                                                                                  947 WebCore::FrameView::layout(bool)
                                                                                                                                                    947 WebCore::FrameView::performPostLayoutTasks()
                                                                                                                                                      947 WebCore::RenderView::updateWidgetPositions()
                                                                                                                                                        947 WebCore::RenderPart::updateWidgetPosition()
                                                                                                                                                          947 WebCore::FrameView::layout(bool)
                                                                                                                                                            947 WebCore::FrameView::layout(bool)
    947 Thread_2703
      947 thread_start
        947 _pthread_start
          947 CFURLCacheWorkerThread(void*)
            947 CFRunLoopRunInMode
              947 CFRunLoopRunSpecific
                947 mach_msg
                  947 mach_msg_trap
                    947 mach_msg_trap
    947 Thread_2803
      947 thread_start
        947 _pthread_start
          947 __NSThread__main__
            947 -[NSThread main]
              947 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:]
                947 CFRunLoopRunInMode
                  947 CFRunLoopRunSpecific
                    947 mach_msg
                      947 mach_msg_trap
                        947 mach_msg_trap
    947 Thread_2903
      947 thread_start
        947 _pthread_start
          947 select$DARWIN_EXTSN
            947 select$DARWIN_EXTSN

Total number in stack (recursive counted multiple, when >=5):
        5       WebCore::FrameLoader::checkCompleted()

Sort by top of stack, same collapsed (when >= 5):
        mach_msg_trap        1894
        WebCore::FrameView::layout(bool)        947
        select$DARWIN_EXTSN        947
Comment 1 Jean-Charles Verdié 2008-06-16 09:41:28 PDT
Created attachment 21728 [details]
disable hanging test
Comment 2 mitz 2008-06-16 11:47:31 PDT
Bug 19564 tracks the problem with that test.
Comment 3 Darin Adler 2008-06-23 10:57:03 PDT
Comment on attachment 21728 [details]
disable hanging test

rs=me

But needs ChangeLog.
Comment 4 Jean-Charles Verdié 2008-06-23 11:34:17 PDT
Created attachment 21885 [details]
disable hanging test + changelog

following 1st review comment
Comment 5 Geoffrey Garen 2008-06-23 12:35:49 PDT
Comment on attachment 21885 [details]
disable hanging test + changelog

r=me
Comment 6 mitz 2008-06-25 18:10:30 PDT
Landed in <http://trac.webkit.org/changeset/34803>.